using isnd.Data.Catalog;
using Newtonsoft.Json;

namespace isn.Abstract
{
    public class Resource : HappyIdOwner
    {
        public Resource(string id, string typename) : base(id)
        {
            Type = typename;
            Id = id;
        }

        [JsonProperty("@id")]
        public string Id {get; set; }

        [JsonProperty("@type")]
        public string Type {get; set; }

        [JsonProperty("comment")]
        public string Comment {get; set; }

    }
}